<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="32px" height="32px" style="vertical-align: middle;"/>
			CBN Approval - Completed Form Applications</h1>
			<hr/>
		</header>
		
		<div class="row">
			<div class="12u$ 12u$(medium)">
			These are the list of completed Form application awaiting CBN Approval.
			</div>
			<div class="12u$ 12u$(medium)">
				<oj-table id="formMList" aria-label="Form M List"
					data='[[paginDataSource]]' 
					display='grid'
					selection-mode='{"row": "single"}'
					columns-default='{"sortable": "enabled"}' 
					columns='[
							  {"headerText": "Form Number",  "field": "formid", "style": "width: 15%"},
							   
							  {"headerText": "Branch Name",  "field": "branchName", "style": "width: 15%"},
							  
							  {"headerText": "Form Type", "field": "formType", "style": "width: 35%"},
							   
							  {"headerText": "Form Prefix", "field": "formPrefix", "style": "width: 15%"},
							   
							  {"headerText": "Create Date", "field": "createDate", "style": "width: 15%"}
							   
							  ]' 
					style='width: 100%;'>
					<oj-paging-control id="paging" data='[[paginDataSource]]' page-size='5' slot='bottom'>
					</oj-paging-control>
				</oj-table>
			</div>
			<div class="6u$ 12u$(medium)">
				<div class="row uniform">
					
					<div class="12u$ 12u$(small)">
						<span id="status"></span>
					</div>
					<div class="6u$ 12u$(small)">
						<a href="#" class="button special fit small" data-bind="click: viewButtonAction">Approve Selected Form</a>
						
					</div>
					
				</div>
			</div>
			
		</div>
	</div>
</section>


